/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreLanguagedefsOrphans;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreLanguagedefsOrphansRecord extends TableRecordImpl<VCoreLanguagedefsOrphansRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_languagedefs_orphans.lang_key</code>.
     */
    public void setLangKey(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_languagedefs_orphans.lang_key</code>.
     */
    public String getLangKey() {
        return (String) get(0);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreLanguagedefsOrphansRecord
     */
    public VCoreLanguagedefsOrphansRecord() {
        super(VCoreLanguagedefsOrphans.V_CORE_LANGUAGEDEFS_ORPHANS);
    }

    /**
     * Create a detached, initialised VCoreLanguagedefsOrphansRecord
     */
    public VCoreLanguagedefsOrphansRecord(String langKey) {
        super(VCoreLanguagedefsOrphans.V_CORE_LANGUAGEDEFS_ORPHANS);

        setLangKey(langKey);
        resetChangedOnNotNull();
    }
}
